Advisory Details

September 3rd, 2014

SAP Crystal Reports Datasource Stack Buffer Overflow Remote Code Execution Vulnerability

ZDI-14-301
ZDI-CAN-2146

CVE ID CVE-2014-5505
CVSS SCORE 6.8, (AV:N/AC:M/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS SAP
AFFECTED PRODUCTS Crystal Reports
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of SAP Crystal Reports. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of RPT files. The issue lies in the processing of data source strings. An attacker can leverage this vulnerability to execute code under the context of the current process.

ADDITIONAL DETAILS SAP has issued an update to correct this vulnerability. More details can be found at:
http://service.sap.com/sap/support/notes/1999142
DISCLOSURE TIMELINE
  • 2014-03-07 - Vulnerability reported to vendor
  • 2014-09-03 - Coordinated public release of advisory
CREDIT Aniway.Anyway@gmail.com
BACK TO ADVISORIES